import { q as n, L as m, N as i, E as c } from "./index-DSGwv2Yx.js";
import { c as f } from "./complex-3DpPEG9B.js";
function e(o, r = "float32") {
  if (n(o), r === "complex64") {
    const s = e(o, "float32"), t = e(o, "float32");
    return f(s, t);
  }
  const a = m(i(o), r);
  return c.makeTensor(a, o, r);
}
export {
  e as z
};
